For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Delete a Vault Payment Account

DELETE
https://javelin.runpayments.io/api/v1/vault_payment_accounts/:uuid
DELETE
/api/v1/vault_payment_accounts/:uuid
$curl -X DELETE https://javelin.runpayments.io/api/v1/vault_payment_accounts/uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "message": "Vault payment account 3fa85f64-5717-4562-b3fc-2c963f66afa6 deleted successfully"
4}
Deletes a vault payment account by uuid
Was this page helpful?
Previous

Update Vault Account Details

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

uuidstringRequiredformat: "uuid"
The UUID of the payment account to delete

Response

Vault payment account deleted successfully
successboolean
Indicates whether the delete operation was successful
messagestring

Human-readable message describing the result

errorstring

Error details (only present when success is false)

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error